{{set . "title" "Product"}}
{{template "header.html" .}}

<header class="hero-unit">
    <div class="container">
        <div class="row">
            <div class="hero-text">
                <h1>Edit Product</h1>
            </div>
        </div>
    </div>
</header>

<div class="container">
    <div class="row">
        <div class="col-md-12">
            {{template "flash.html" .}}
        </div>
        <div class="col-md-12">
            <form method="POST" action='{{if .product.ID}}{{url "Product.Update"}}{{else}}{{url "Product.Create"}}{{end}}'>
                {{$productID := $.product.ID}}
                {{with $field := field "product.ID" .}}
                <input type="hidden" id="{{$field.ID}}" name="id" value="{{$field.Value}}">
                {{end}}

                <div class="form-group">
                    {{with $field := field "product.Name" .}}
                    <label for="{{$field.ID}}">Name * </label>
                    <input type="text" id="{{$field.ID}}" name="name" value="{{$field.Value}}"
                           class="{{$field.ErrorClass}} form-control">
                    <span class="error">{{$field.Error}}</span>
                    {{end}}
                </div>
                <div class="form-group">
                    {{with $field := field "product.Description" .}}
                    <label for="{{$field.ID}}">Description * </label>
                    <textarea name="description" id="{{$field.ID}}" class="form-control {{$field.ErrorClass}}">
                        {{$field.Value}}
                    </textarea>
                    <span class="error">{{$field.Error}}</span>
                    {{end}}
                </div>
                <div class="form-group">
                    {{with $field := field "product.Status" .}}
                    <label for="{{$field.ID}}">Status * </label>
                    <input type="checkbox" id="{{$field.ID}}" name="status" value="1"
                           class="{{$field.ErrorClass}} form-control">
                    <span class="error">{{$field.Error}}</span>
                    {{end}}
                </div>
                <div class="form-group">
                    {{with $field := field "product.Barcode" .}}
                    <label for="{{$field.ID}}">Barcode * </label>
                    <input type="text" id="{{$field.ID}}" name="barcode" value="{{$field.Value}}"
                           class="{{$field.ErrorClass}} form-control">
                    <span class="error">{{$field.Error}}</span>
                    {{end}}
                </div>
                <div class="form-group">
                    {{with $field := field "product.Upc" .}}
                    <label for="{{$field.ID}}">Upc * </label>
                    <input type="text" id="{{$field.ID}}" name="upc" value="{{$field.Value}}"
                           class="{{$field.ErrorClass}} form-control">
                    <span class="error">{{$field.Error}}</span>
                    {{end}}
                </div>
                <div class="form-group">
                    {{with $field := field "product.Ean" .}}
                    <label for="{{$field.ID}}">Ean * </label>
                    <input type="text" id="{{$field.ID}}" name="ean" value="{{$field.Value}}"
                           class="{{$field.ErrorClass}} form-control">
                    <span class="error">{{$field.Error}}</span>
                    {{end}}
                </div>

                <div class="form-group">
                    {{with $field := field "product.Weight" .}}
                    <label for="{{$field.ID}}">Weight * </label>
                    <input type="number" id="{{$field.ID}}" name="weight" value="{{$field.Value}}"
                           class="form-control {{$field.ErrorClass}}">
                    <span class="error">{{$field.Error}}</span>
                    {{end}}
                </div>

                <div class="form-group">
                    {{with $field := field "product.Category" .}}
                    <label for="{{$field.ID}}">Category * </label>
                    <select id="{{$field.ID}}" name="Category.0.ID">
                        <option value="">Select category</option>
                        {{range $.categories}}
                        <option value="{{.ID}}" id="{{.Name}}"
                                {{if $field.Value}}{{if eq (index $field.Value 0).ID .ID}}selected="selected"
                                {{end}}{{end}}>
                            {{.Name}}
                        </option>
                        {{end}}
                    </select>
                    {{end}}
                </div>

                <div class="form-group">
                    {{with $field := field "product.Suppliers" .}}
                    <table class="table">
                        <thead>
                        <tr>
                            <td></td>
                            <td>Supplier</td>
                            <td>Price</td>
                            <td>Qty</td>
                        </tr>
                        </thead>
                        <tbody>
                        {{range $i, $v := $.sups}}
                        <tr>
                            <td>
                                <input type="checkbox" name="SupplierHasProducts.{{$i}}.SupplierID" value="{{$v.id}}"
                                       {{if $v.active}}checked="checked" {{end}}
                                       class="{{$field.ErrorClass}}">
                            </td>
                            <td>{{.name}}</td>
                            <td>
                                <input type="number" name="SupplierHasProducts.{{$i}}.Price" value="{{$v.price}}">
                            </td>
                            <td>
                                <input type="number" name="SupplierHasProducts.{{$i}}.Qty" value="{{$v.qty}}">
                            </td>
                        </tr>
                        {{end}}
                        </tbody>
                    </table>
                    {{end}}
                </div>

                <div class="form-group">
                    {{with $field := field "product.Warehouse" .}}
                    <table class="table">
                        <thead>
                        <tr>
                            <td></td>
                            <td>Warehouse</td>
                            <td>Price</td>
                            <td>Qty</td>
                        </tr>
                        </thead>
                        <tbody>
                        {{range $i, $v := $.wareh}}
                        <tr>
                            <td>
                                <input type="checkbox" name="WarehouseHasProducts.{{$i}}.WarehouseID" value="{{$v.id}}"
                                       {{if $v.active}}checked="checked" {{end}}
                                       class="{{$field.ErrorClass}}">
                            </td>
                            <td>{{.name}}</td>
                            <td>
                                <input type="number" name="WarehouseHasProducts.{{$i}}.Price" value="{{$v.price}}">
                            </td>
                            <td>
                                <input type="number" name="WarehouseHasProducts.{{$i}}.Qty" value="{{$v.qty}}">
                            </td>
                        </tr>
                        {{end}}
                        </tbody>
                    </table>
                    {{end}}
                </div>

                {{with $field := field "product.Values" .}}

                {{range $i, $v := $.attrs}}
                <input type="hidden" name="Values.{{$i}}.ProductID" value="{{if $productID}}{{$productID}}{{end}}">
                <input type="hidden" name="Values.{{$i}}.AttributesID" value="{{$v.ID}}">
                <input type="hidden" name="Values.{{$i}}.ID" value="{{$v.AttributeValuesID}}">
                <div class="form-group">
                    {{if eq $v.AttributeTypeID 1}}
                    <label for="{{$v.Code}}">{{$v.Name}} * </label>
                    <input type="text" id="{{$v.Code}}" name="Values.{{$i}}.Varchar"
                           value="{{$v.Varchar}}"
                           class="form-control {{$field.ErrorClass}}">
                    <span class="error">{{$field.Error}}</span>
                    {{end}}

                    {{if eq $v.AttributeTypeID 2}}
                    <label for="{{$v.Code}}">{{$v.Name}} * </label>
                    <textarea id="{{$v.Code}}" name="Values.{{$i}}.Text"
                              class="form-control {{$field.ErrorClass}}">
                        {{$v.Text}}
                    </textarea>
                    <span class="error">{{$field.Error}}</span>
                    {{end}}

                    {{if eq $v.AttributeTypeID 3}}
                    <label for="{{$v.Code}}">{{$v.Name}} * </label>
                    <select name="Values.{{$i}}.AttributeValuesID">
                        <option value="">Select value</option>
                        {{range $v.Values}}
                        <option value="{{.ID}}"
                                {{if $v.AttrValues}}
                                {{if (eq $v.AttrValues .ID)}}selected="selected"
                                {{end}}
                                {{end}}>
                            {{.Value}}
                        </option>
                        {{end}}
                    </select>
                    {{end}}


                    {{if eq $v.AttributeTypeID 4}}
                    <label for="{{$v.Code}}">{{$v.Name}} * </label>
                    <input type="number" id="{{$v.Code}}" name="Values.{{$i}}.Number"
                           value="{{$v.Number}}" class="form-control {{$field.ErrorClass}}">
                    <span class="error">{{$field.Error}}</span>
                    {{end}}

                    {{if eq $v.AttributeTypeID 9}}
                    <label for="{{$v.Code}}">{{$v.Name}} * </label>
                    <select name="Values.{{$i}}.AttributeValuesID" multiple="multiple">
                        <option value="">Select value</option>
                        {{range $v.Values}}
                        <option value="{{.ID}}"
                                {{if $v.AttrValues}}
                                {{if (eq $v.AttrValues .ID)}}selected="selected"
                                {{end}}
                                {{end}}>
                            {{.Value}}
                        </option>
                        {{end}}
                    </select>
                    {{end}}

                    {{if eq $v.AttributeTypeID 10}}
                    <label for="{{$v.Code}}">{{$v.Name}} * </label>
                    <input type="date" id="{{$v.Code}}" name="Values.{{$i}}.Datetime"
                           value="{{if $v.DateTime}}{{$v.DateTime}}{{end}}"
                           class="form-control {{$field.ErrorClass}}">
                    <span class="error">{{$field.Error}}</span>
                    {{end}}

                    {{if eq $v.AttributeTypeID 11}}
                    <label for="{{$v.Code}}">{{$v.Name}} * </label>
                    <input type="checkbox" id="{{$v.Code}}" name="Values.{{$i}}.Boolean" value="1"
                           class="{{$field.ErrorClass}}"
                           {{if $v.Boolean}}
                           {{if (eq $v.Boolean 1)}}checked="checked"
                           {{end}}
                           {{end}}
                    >
                    <span class="error">{{$field.Error}}</span>
                    {{end}}
                </div>
                {{end}}
                {{end}}

                <input type="submit" class="btn btn-success" value="Save product"/>
            </form>
        </div>
    </div>
</div>
{{template "footer.html" .}}
